Skip to main content
`Ctrl`+`K`

# VecKokkosPlaceArray

Allows one to replace the device array in a VecKokkos vector with a device array provided by the user. This is useful to avoid copying an array into a vector.

## Synopsis

    PetscErrorCode VecKokkosPlaceArray(Vec v, PetscScalar *a)

Logically Collective; No Fortran Support

## Input Parameters

- v - the VecKokkos vector

- a - the device array

## Notes

You can return to the original array with a call to `VecKokkosResetArray()`. `vec` does not take ownership of `array` in any way.

The user manages the device array so PETSc doesn’t care how it was allocated.

The user must free `array` themselves but be careful not to do so before the vector has either been destroyed, had its original array restored with `VecKokkosResetArray()` or permanently replaced with `VecReplaceArray()`.

## See Also

Vectors and Parallel Data, `Vec`, `VecGetArray()`, `VecKokkosResetArray()`, `VecReplaceArray()`, `VecResetArray()`

## Level

developer

## Location

src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages